let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
// let url_Backend_dwinzo = `http://192.168.0.102:5000`;
// let url_Backend_dwinzo = `http://192.168.0.110:5000`;
 
export const createProject = async (
  projectUuid: string,
  userId: string,
  thumbnail: string,
  organization: string
) => {
  try {
    const response = await fetch(`${url_Backend_dwinzo}/api/v1/upsertProject`, {
      method: "POST",
      headers: {
        "Content-Type": "application/json",
      },
      body: JSON.stringify({
        projectUuid,
        userId,
        thumbnail,
        organization,
      }),
    });

    if (!response.ok) {
      throw new Error("Failed to add project");
    }

    const result = await response.json();
    return result;
  } catch (error) {
    if (error instanceof Error) {
      throw new Error(error.message);
    } else {
      throw new Error("An unknown error occurred");
    }
  }
};
