const url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
// const url_Backend_dwinzo = `http://192.168.0.102:5000`;
 
export const getTrash = async (organization: string) => {
  console.log("Organization:", organization);

  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/v1/Trash/Lists?organization=${organization}`,
      {
        method: "GET",
        headers: {
          "Content-Type": "application/json",
        },
      }
    );

    if (!response.ok) {
      throw new Error("Failed to fetch trash data");
    }

    const data = await response.json();
    return data;
  } catch (error: any) {
    console.error("Failed to fetch trash data:", error);
    throw new Error(error.message || "Unknown error");
  }
};
